Bug 17501 - Horizontal scroll bar drawing glitch: becomes detached from bottom
Summary: Horizontal scroll bar drawing glitch: becomes detached from bottom
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.4
: P2 Normal
Assignee: Nobody
URL: http://sports.yahoo.com/
Keywords:
Depends on:
Blocks:
 
Reported: 2008-02-23 10:30 PST by opendarwin
Modified: 2010-03-20 22:13 PDT (History)
0 users

See Also:


Attachments
Screenshot after page load (101.63 KB, image/jpeg)
2008-02-23 10:31 PST, opendarwin
no flags Details
Screenshot after scrolling down (93.90 KB, image/jpeg)
2008-02-23 10:34 PST, opendarwin
no flags Details
Screenshot using WebKit revision 30511 (81.59 KB, image/jpeg)
2008-02-23 10:35 PST, opendarwin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description opendarwin 2008-02-23 10:30:08 PST
Overview Description:
On <http://sports.yahoo.com/> and sub-pages, there are horizontal scrollbar glitches, where a scrollbar is drawn at the bottom of the page (perhaps unnecessarily), and then when you scroll down in the page, the scrollbar becomes detached from the bottom and appears in the middle of the page content.

Steps to Reproduce:
(1) Launch Safari 3.
(2) Empty cache.
(3) Open http://sports.yahoo.com/
(4) At the top, click on "Tennis".
(5) Scroll down the page.

Actual Results:
The scrollbar becomes detached from the bottom of the window, appearing in the middle of the page content and moving up as you scroll down.

Expected Results:
A scrollbar should not appear in the middle of the page content.

Build Date & Platform:
Safari Version 3.0.4 (523.12.2) on Mac OS X 10.4.11 (Build 8S2167).

Additional Builds and Platforms:
WebKit revision 30511 built from source and using the run-safari script.

Additional Information:
The appearance of the visual glitch seems to depend very much on the window size.  If the window is too small, it will not appear.  Also, the glitch may not appear when loading the page subsequent times, so you may need to empty the cache to reproduce.

I've attached three screenshots.  The file yahoo1.jpg shows the page after you first load, with the scrollbar on the bottom.  The file yahoo2.jpg shows the page after scrolling down, and you can see that the scrollbar has moved up.  The file yahoo-TOT.tiff shows a visual glitch with extraneous scrollbar widgets; you can see them on the right side of the screen between the game scores and the vertical scroller.
Comment 1 opendarwin 2008-02-23 10:31:14 PST
Created attachment 19298 [details]
Screenshot after page load
Comment 2 opendarwin 2008-02-23 10:34:26 PST
Created attachment 19299 [details]
Screenshot after scrolling down
Comment 3 opendarwin 2008-02-23 10:35:17 PST
Created attachment 19300 [details]
Screenshot using WebKit revision 30511
Comment 4 opendarwin 2008-02-23 10:36:09 PST
This bug may be a duplicate.  There are a number of bugs that seem similar, but there wasn't one that stood out as being an exact duplicate.

Comment 5 opendarwin 2008-06-11 09:18:41 PDT
I can still reproduce this with Safari 3.1.1 (4525.18). However, I haven't been able to reproduce it yet with WebKit revision 34478.
Comment 6 opendarwin 2010-03-20 22:13:14 PDT
I haven't been able to reproduce this bug for a very long time, so I'd say it's fixed.